## frr 10.1.1

=== debian/changelog ===
frr (10.1.1-2) unstable; urgency=medium

  * Updating to debhelper-compat 13.
  * Updating standards version.
  * Updating homepage field.
  * Trimming alternative from depends pre-bookworm.
  * Trimming versions from depends pre-bookworm.
  * Removing obsolete quagga conflicts.
  * Removing obsolete zebra conflicts.
  * Prefixing debhelper names with explicit package names.
  * Removing obsolete doc-base debhelper file.
  * Removing old lintian-overrides.
  * Making maintainer scripts executable in debian directory.
  * Adding Rules-Requires-Root field.
  * Adding binary package sections explicitly.
  * Wrap and sorting debian packaging files.
  * Skipping sysvinit script.
  * Removing spurious frr.tmpfile copy.
  * Updating package descriptions.
  * Removing redundant information from README.Debian.
  * Removing unused frr-test-tools remains.
  * Trimming README.Maintainer.
  * Renaming remaining README.Maintainers to TODO.
  * Reformating TODO file.
  * Updating TODO file.
  * Replacing adduser with tools from util-linux.
  * Removing now unused quagga upgrade handling in frr postinst.
  * Reformating install files.
  * Rewriting frr.postinst in policy compliant way.
  * Rewriting frr.postrm in policy compliant way.

 -- Daniel Baumann <daniel@debian.org>  Sun, 10 Nov 2024 17:13:38 +0100

frr (10.1.1-1) unstable; urgency=medium

  * Adding myself to uploaders, thanks David.
  * Harmonizing my email address in changelog entries.

 -- Daniel Baumann <daniel@debian.org>  Sat, 09 Nov 2024 14:27:13 +0100

frr (10.1.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.

 -- Daniel Baumann <daniel@debian.org>  Tue, 17 Sep 2024 05:15:20 +0200

frr (10.1-0.2) unstable; urgency=medium

  * Non-maintainer upload to unstable.

 -- Daniel Baumann <daniel@debian.org>  Wed, 11 Sep 2024 13:57:30 +0200

frr (10.1-0.1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
  * Removing add-XREF_SETUP-to-libraries-and-utilites.patch, included upstream.
  * Adding conditional in rules to fix FTBFS when building without frr-test-tools.

 -- Daniel Baumann <daniel@debian.org>  Mon, 05 Aug 2024 09:11:22 +0200

=== debian/control ===
Source: frr
Section: net
Priority: optional
Maintainer: David Lamparter <equinox-debian@diac24.net>
Uploaders:
 FRRouting-dev <dev@lists.frrouting.org>,
 Ondřej Surý <ondrej@debian.org>,
 Daniel Baumann <daniel@debian.org>,
Build-Depends:
 bison,
 chrpath,
 debhelper-compat (= 13),
 flex,
 gawk,
 install-info,
 libc-ares-dev,
 libcap-dev,
 libelf-dev:native,
 libjson-c-dev,
 liblua5.3-dev <pkg.frr.lua>,
 libpam0g-dev,
 libpcre2-dev,
 libprotobuf-c-dev,
 libpython3-dev:native,
 libreadline-dev,
 librtr-dev <!pkg.frr.nortrlib>,
 libsnmp-dev,
 libssh-dev <!pkg.frr.nortrlib>,
 libunwind-dev [!alpha !m68k !sparc64 !x32],
 libyang2-dev (>= 2.1.128),
 lua5.3 <pkg.frr.lua>,
 pkgconf,
 protobuf-c-compiler,
 python3-dev:native,
 python3-pytest:native <!nocheck>,
 python3-sphinx:native,
 python3:native,
 texinfo,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://www.frrouting.org
Vcs-Browser: https://github.com/FRRouting/frr/tree/debian/master
Vcs-Git: https://github.com/FRRouting/frr.git -b debian/master

Package: frr
Section: net
Architecture: linux-any
Depends:
 iproute2,
 logrotate,
 lsof,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 frr-pythontools,
Suggests:
 frr-doc,
Conflicts:
 pimd,
Description: FRRouting Internet routing protocol suite
 FRRouting (FRR) is a Internet routing protocol suite implementing BGP, OSPF,
 RIP, IS-IS, PIM, LDP, BFD, Babel, PBR, OpenFabric, VRRP, EIGRP and NHRP.
 .
 FRR's integration in Linux IP networking stacks makes it a general purpose
 routing stack for a wide variety of use cases including connecting
 hosts/VMs/containers to the network, advertising network services, LAN
 switching and routing, Internet access routers, and Internet peering.

Package: frr-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Built-Using:
 ${sphinxdoc:Built-Using},
Suggests:
 frr,
Description: FRRouting Internet routing protocol suite (documentation)
 FRRouting (FRR) is a Internet routing protocol suite implementing BGP, OSPF,
 RIP, IS-IS, PIM, LDP, BFD, Babel, PBR, OpenFabric, VRRP, EIGRP and NHRP.
 .
 This package contains the HTML user guide (https://frrouting.readthedocs.io).

Package: frr-pythontools
Section: net
Architecture: all
Depends:
 frr (<< ${source:Upstream-Version}.0-~),
 frr (>= ${source:Version}~),
 python3:any,
 ${misc:Depends},
Description: FRRouting Internet routing protocol suite (reload support)
 FRRouting (FRR) is a Internet routing protocol suite implementing BGP, OSPF,
 RIP, IS-IS, PIM, LDP, BFD, Babel, PBR, OpenFabric, VRRP, EIGRP and NHRP.
 .
 This package contains a small Python tool to provide configuration reload
 functionality.
 .
 This is useful when the interactive configuration shell is not used. Without
 this package installed, "reload" will not work for the FRR daemons.

Package: frr-rpki-rtrlib
Section: net
Architecture: linux-any
Build-Profiles: <!pkg.frr.nortrlib>
Depends:
 frr (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: FRRouting Internet routing protocol suite (BGP RPKI support)
 FRRouting (FRR) is a Internet routing protocol suite implementing BGP, OSPF,
 RIP, IS-IS, PIM, LDP, BFD, Babel, PBR, OpenFabric, VRRP, EIGRP and NHRP.
 .
 This package adds RPKI support to FRR's bgpd, allowing validation of BGP
 routes against cryptographic information stored in WHOIS databases.
 .
 This is used to prevent hijacking of networks on the wider internet and is
 only relevant to internet service providers using their own autonomous system
 number.

Package: frr-snmp
Section: net
Architecture: linux-any
Depends:
 frr (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 snmpd,
Description: FRRouting Internet routing protocol suite (SNMP support)
 FRRouting (FRR) is a Internet routing protocol suite implementing BGP, OSPF,
 RIP, IS-IS, PIM, LDP, BFD, Babel, PBR, OpenFabric, VRRP, EIGRP and NHRP.
 .
 This package adds SNMP support to FRR's daemons by attaching to net-snmp's
 snmpd through the AgentX protocol.
 .
 This allows read-only access to current routing state through standard SNMP
 MIBs.

=== debian/rules ===
#!/usr/bin/make -f

# standard Debian options & profiles

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifneq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
  MAKE_SILENT="V=0"
  export DH_VERBOSE=0
else
  MAKE_SILENT="V=1"
  export DH_VERBOSE=1
  export DH_OPTIONS=-v
endif

# package-specific build profiles

ifeq ($(filter pkg.frr.nortrlib,$(DEB_BUILD_PROFILES)),)
  CONF_RPKI=--enable-rpki
else
  CONF_RPKI=--disable-rpki
endif

ifeq ($(filter pkg.frr.lua,$(DEB_BUILD_PROFILES)),)
  CONF_LUA=--disable-scripting
else
  CONF_LUA=--enable-scripting
endif

ifeq ($(filter pkg.frr.pim6d,$(DEB_BUILD_PROFILES)),)
  CONF_PIM6=--disable-pim6d
else
  CONF_PIM6=--enable-pim6d
endif

export PYTHON=python3

%:
	dh $@ -Bbuild --with=sphinxdoc

override_dh_auto_configure:
	$(shell dpkg-buildflags --export=sh); export LIBS="$$LIBS -latomic"; \
	dh_auto_configure -- \
		--sbindir=/usr/lib/frr \
		--with-vtysh-pager=/usr/bin/pager \
		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH)/frr \
		--with-moduledir=/usr/lib/$(DEB_HOST_MULTIARCH)/frr/modules \
		LIBTOOLFLAGS="-rpath /usr/lib/$(DEB_HOST_MULTIARCH)/frr" \
		--disable-dependency-tracking \
		\
		$(CONF_RPKI) \
		$(CONF_LUA) \
		$(CONF_PIM6) \
		--with-libpam \
		--enable-doc \
		--enable-doc-html \
		--enable-snmp \
		--enable-fpm \
		--disable-protobuf \
		--disable-zeromq \
		--enable-ospfapi \
		--enable-bgp-vnc \
		--enable-multipath=256 \
		\
		--enable-user=frr \
		--enable-group=frr \
		--enable-vty-group=frrvty \
		--enable-configfile-mask=0640 \
		--enable-logfile-mask=0640 \
		# end

override_dh_auto_install:
	dh_auto_install

	sed -e '1c #!/usr/bin/python3' -i debian/tmp/usr/lib/frr/frr-reload.py
	sed -e '1c #!/usr/bin/python3' -i debian/tmp/usr/lib/frr/generate_support_bundle.py
	sed -e '1c #!/usr/bin/python3' -i debian/tmp/usr/lib/frr/frr_babeltrace.py
	sed -e '1c #!/usr/bin/python3' -i debian/tmp/usr/lib/frr/ospfclient.py

# let dh_systemd do their thing automatically
	cp build/tools/frr.service debian/frr.service
	cp build/tools/frr@.service debian/frr@.service
	-rm -f debian/tmp/usr/lib/frr/frr

# install config files
	mkdir -p debian/tmp/etc
	cp -r tools/etc/* debian/tmp/etc/
	-rm debian/tmp/etc/frr/daemons.conf

# drop dev-only files
	find debian/tmp -name '*.la' -o -name '*.a' -o -name 'lib*.so' | xargs rm -f
	rm -rf debian/tmp/usr/include
	-rm debian/tmp/usr/lib/frr/ssd

# drop test-tools files
	rm -f debian/tmp/usr/lib/frr/fpm_listener

override_dh_auto_build:
	dh_auto_build -- $(MAKE_SILENT)

override_dh_installinit:
	dh_installinit -r

override_dh_installsystemd:
	dh_installsystemd -r

override_dh_makeshlibs:
	dh_makeshlibs -n

override_dh_missing:
	dh_missing --fail-missing

ifneq ($(filter nocheck,$(DEB_BUILD_PROFILES) $(DEB_BUILD_OPTIONS)),)
override_dh_auto_test:
	true
endif

override_dh_auto_clean:
	dh_auto_clean
	-rm -rf tests/.pytest_cache
	-rm -f debian/frr.service
	-rm -f debian/frr@.service

## frr 10.2.1

=== sharpd/Makefile ===
all: ALWAYS
	@$(MAKE) -s -C .. sharpd/sharpd
%: ALWAYS
	@$(MAKE) -s -C .. sharpd/$@

Makefile:
	#nothing
ALWAYS:
.PHONY: ALWAYS makefiles
.SUFFIXES:

=== vtysh/Makefile ===
all: ALWAYS
	@$(MAKE) -s -C .. vtysh/vtysh
%: ALWAYS
	@$(MAKE) -s -C .. vtysh/$@

Makefile:
	#nothing
ALWAYS:
.PHONY: ALWAYS makefiles
.SUFFIXES:

=== debian/changelog ===
frr (10.2.1-1ubuntu3) plucky; urgency=medium

  * Re-add scripting support with lua 5.4 (LP: #2094850)
    - d/p/add-lua5.4-support-*.patch: Add support for lua 5.4
    - d/control: Add lua5.4 to build and runtime dependencies
    - d/rules: Revert pkg.frr.nolua build profile addition

 -- Lena Voytek <lena.voytek@canonical.com>  Wed, 15 Jan 2025 17:50:42 -0500

frr (10.2.1-1ubuntu2) plucky; urgency=medium

  * d/control, d/rules: disable scripting support (lua) to avoid a component
    mismatch when building on Ubuntu and derivatives (LP: #2093186)

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 07 Jan 2025 10:50:06 -0300

frr (10.2.1-1ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2085232). Remaining changes:
    - Fix logging with Ubuntu's unprivileged rsyslog (LP #1958162):
      + d/frr.postinst: adjust log directory ownership
      + d/frr.logrotate: change rotated log file ownership
  * Added:
    - Fix FTBFS on big-endian systems due to build-time test failure
      (Closes: #1091379):
      + d/p/fix-big-endian-test.patch: Fix TestFrrscript.test_exit_cleanly test
        case on big endian platforms
      + d/rules: don't ignore test failures on s390x

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 25 Dec 2024 10:20:03 -0300

frr (10.2.1-1) unstable; urgency=medium

  * Merging upstream version 10.2.1.

 -- Daniel Baumann <daniel@debian.org>  Tue, 24 Dec 2024 08:34:42 +0100

frr (10.2-2) unstable; urgency=medium

  * Avoid failing the testsuite on s390x for now.

 -- Daniel Baumann <daniel@debian.org>  Mon, 16 Dec 2024 16:03:09 +0100

frr (10.2-1) unstable; urgency=medium

  * Merging upstream version 10.2.

 -- Daniel Baumann <daniel@debian.org>  Sun, 17 Nov 2024 07:18:11 +0100

frr (10.1.1-3) unstable; urgency=medium

  * Changing lua build-profile to match its original intendet purpose of
    enabling scripting support by default but allowing to exclude it if
    needed.
  * Changing pim6d build-profile to match its original intendet purpose of
    enabling pim6d by default but allowing to exclude it if needed
    (Closes: #1071653).
  * Updating TODO file.

 -- Daniel Baumann <daniel@debian.org>  Tue, 12 Nov 2024 14:56:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: frr
 Section: net
 Priority: optional
-Maintainer: David Lamparter <equinox-debian@diac24.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: David Lamparter <equinox-debian@diac24.net>
 Uploaders:
  FRRouting-dev <dev@lists.frrouting.org>,
  Ondřej Surý <ondrej@debian.org>,
@@ -17,7 +18,7 @@
  libcap-dev,
  libelf-dev:native,
  libjson-c-dev,
- liblua5.3-dev <pkg.frr.lua>,
+ liblua5.4-dev <!pkg.frr.nolua>,
  libpam0g-dev,
  libpcre2-dev,
  libprotobuf-c-dev,
@@ -28,7 +29,7 @@
  libssh-dev <!pkg.frr.nortrlib>,
  libunwind-dev [!alpha !m68k !sparc64 !x32],
  libyang2-dev (>= 2.1.128),
- lua5.3 <pkg.frr.lua>,
+ lua5.4 <!pkg.frr.nolua>,
  pkgconf,
  protobuf-c-compiler,
  python3-dev:native,

=== debian/tests/control ===
Tests: zebra-lo
Depends:
 frr,
Restrictions: needs-root, isolation-container

Tests: bgpd-snmp-rpki
Depends:
 frr,
 frr-rpki-rtrlib,
 frr-snmp,
Restrictions: needs-root, isolation-container

Tests: py-frr-reload
Depends:
 frr,
 frr-pythontools,
Restrictions: needs-root, isolation-container

=== debian/watch ===
version=4

https://github.com/FRRouting/frr/tags .*/frr-(\d[0-9.]*)\.tar.gz

## frr 10.3

=== isisd/Makefile ===
all: ALWAYS
	@$(MAKE) -s -C .. isisd/isisd
%: ALWAYS
	@$(MAKE) -s -C .. isisd/$@

Makefile:
	#nothing
ALWAYS:
.PHONY: ALWAYS makefiles
.SUFFIXES:

=== watchfrr/Makefile ===
all: ALWAYS
	@$(MAKE) -s -C .. watchfrr/watchfrr
%: ALWAYS
	@$(MAKE) -s -C .. watchfrr/$@

Makefile:
	#nothing
ALWAYS:
.PHONY: ALWAYS makefiles
.SUFFIXES:

=== debian/changelog ===
frr (10.3-3) sid; urgency=medium

  * Simplifying watch file.

 -- Daniel Baumann <daniel@debian.org>  Fri, 02 May 2025 04:59:37 +0200

frr (10.3-2) sid; urgency=medium

  * Adding patch from upstream to fix FTBFS with tests on s390 and others
    (Closes: #1102693).

 -- Daniel Baumann <daniel@debian.org>  Wed, 16 Apr 2025 12:17:16 +0200

frr (10.3-1) sid; urgency=medium

  * Updating to standards version 4.7.1.
  * Updating to standards version 4.7.2.
  * Merging upstream version 10.3.
  * Removing ftbfs-big-endian.patch, not needed anymore.

 -- Daniel Baumann <daniel@debian.org>  Wed, 12 Mar 2025 10:27:23 +0100

frr (10.2.1-6) sid; urgency=medium

  * Harmonizing watch file.
  * Removing Ondřej from Uploaders as wished and with thanks for his past
    work (#1098233).
  * Wrap and sorting debian files.

 -- Daniel Baumann <daniel@debian.org>  Thu, 20 Feb 2025 06:51:41 +0100

frr (10.2.1-5) sid; urgency=medium

  * Updating vcs fields.
  * Using codename instead of suitename in changelog.

 -- Daniel Baumann <daniel@debian.org>  Sun, 16 Feb 2025 20:31:38 +0100

frr (10.2.1-4) experimental; urgency=medium

  * Building with libyang 3.

 -- Daniel Baumann <daniel@debian.org>  Tue, 11 Feb 2025 20:12:28 +0100

frr (10.2.1-3) sid; urgency=medium

  * Manually adding ftbfs-big-endian.patch from previous upload to git
    (patches are excluded because of upstreams gitignore file).
  * Updating vcs fields.

 -- Daniel Baumann <daniel@debian.org>  Thu, 06 Feb 2025 23:58:04 +0100

frr (10.2.1-2) sid; urgency=medium

  * Adding patch from Helge Deller <deller@kernel.org> to fix FTBFS on all
    big endian architectures (Closes: #1091379).
  * Removing disabling of tests on s390.
  * Removing dpkg-statoverride for /etc/frr in postrm, thanks Andreas
    Hasenack <andreas.hasenack@canonical.com> (Closes: #1091415).

 -- Daniel Baumann <daniel@debian.org>  Tue, 14 Jan 2025 16:58:11 +0100

frr (10.2.1-1) sid; urgency=medium

  * Merging upstream version 10.2.1.

 -- Daniel Baumann <daniel@debian.org>  Tue, 24 Dec 2024 08:34:42 +0100

frr (10.2-2) sid; urgency=medium

  * Avoid failing the testsuite on s390x for now.

 -- Daniel Baumann <daniel@debian.org>  Mon, 16 Dec 2024 16:03:09 +0100

frr (10.2-1) sid; urgency=medium

  * Merging upstream version 10.2.

 -- Daniel Baumann <daniel@debian.org>  Sun, 17 Nov 2024 07:18:11 +0100

frr (10.1.1-3) sid; urgency=medium

  * Changing lua build-profile to match its original intendet purpose of
    enabling scripting support by default but allowing to exclude it if
    needed.
  * Changing pim6d build-profile to match its original intendet purpose of
    enabling pim6d by default but allowing to exclude it if needed
    (Closes: #1071653).
  * Updating TODO file.

 -- Daniel Baumann <daniel@debian.org>  Tue, 12 Nov 2024 14:56:14 +0100

frr (10.1.1-2) sid; urgency=medium

  * Updating to debhelper-compat 13.
  * Updating standards version.
  * Updating homepage field.
  * Trimming alternative from depends pre-bookworm.
  * Trimming versions from depends pre-bookworm.
  * Removing obsolete quagga conflicts.
  * Removing obsolete zebra conflicts.
  * Prefixing debhelper names with explicit package names.
  * Removing obsolete doc-base debhelper file.
  * Removing old lintian-overrides.
  * Making maintainer scripts executable in debian directory.
  * Adding Rules-Requires-Root field.
  * Adding binary package sections explicitly.
  * Wrap and sorting debian packaging files.
  * Skipping sysvinit script.
  * Removing spurious frr.tmpfile copy.
  * Updating package descriptions.
  * Removing redundant information from README.Debian.
  * Removing unused frr-test-tools remains.
  * Trimming README.Maintainer.
  * Renaming remaining README.Maintainers to TODO.
  * Reformating TODO file.
  * Updating TODO file.
  * Replacing adduser with tools from util-linux.
  * Removing now unused quagga upgrade handling in frr postinst.
  * Reformating install files.
  * Rewriting frr.postinst in policy compliant way.
  * Rewriting frr.postrm in policy compliant way.

 -- Daniel Baumann <daniel@debian.org>  Sun, 10 Nov 2024 17:13:38 +0100

frr (10.1.1-1) sid; urgency=medium

  * Adding myself to uploaders, thanks David.
  * Harmonizing my email address in changelog entries.

 -- Daniel Baumann <daniel@debian.org>  Sat, 09 Nov 2024 14:27:13 +0100

frr (10.1.1-0.1) sid; urgency=medium

  * Non-maintainer upload.
  * New upstream release.

 -- Daniel Baumann <daniel@debian.org>  Tue, 17 Sep 2024 05:15:20 +0200

frr (10.1-0.2) sid; urgency=medium

  * Non-maintainer upload to unstable.

 -- Daniel Baumann <daniel@debian.org>  Wed, 11 Sep 2024 13:57:30 +0200

frr (10.0.1-0.1) sid; urgency=medium

  * Non-maintainer upload.
  * New upstream release:
    - an attacker using a malformed Prefix SID attribute in a BGP UPDATE
      packet can cause the bgpd daemon to crash [CVE-2024-31948]
      (Closes: #1072126)
    - an infinite loop can occur when receiving a MP/GR capability as a
      dynamic capability because malformed data results in a pointer not
      advancing [CVE-2024-31949] (Closes: #1072125)
    - there can be a buffer overflow and daemon crash in ospf_te_parse_ri for
      OSPF LSA packets during an attempt to read Segment Routing subTLVs (their
      size is not validated) [CVE-2024-31950] (Closes: #1070377)
    - there can be a buffer overflow and daemon crash in
      ospf_te_parse_ext_link for OSPF LSA packets during an attempt to read
      Segment Routing Adjacency SID subTLVs (lengths are not validated)
      [CVE-2024-31951 (Closes: #1070377)
    - ospf_te_parse_te in ospfd/ospf_te.c allows remote attackers to cause a
      denial of service (ospfd daemon crash) via a malformed OSPF LSA packet,
      because of an attempted access to a missing attribute field
      [CVE-2024-27913]
    - it is possible for the get_edge() function in ospf_te.c in the OSPF
      daemon to return a NULL pointer. In cases where calling functions do not


=== debian/control ===
--- 
+++ 
@@ -1,16 +1,14 @@
 Source: frr
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: David Lamparter <equinox-debian@diac24.net>
+Maintainer: David Lamparter <equinox-debian@diac24.net>
 Uploaders:
  FRRouting-dev <dev@lists.frrouting.org>,
- Ondřej Surý <ondrej@debian.org>,
  Daniel Baumann <daniel@debian.org>,
 Build-Depends:
+ debhelper-compat (= 13),
  bison,
  chrpath,
- debhelper-compat (= 13),
  flex,
  gawk,
  install-info,
@@ -18,7 +16,7 @@
  libcap-dev,
  libelf-dev:native,
  libjson-c-dev,
- liblua5.4-dev <!pkg.frr.nolua>,
+ liblua5.3-dev <!pkg.frr.nolua>,
  libpam0g-dev,
  libpcre2-dev,
  libprotobuf-c-dev,
@@ -28,8 +26,8 @@
  libsnmp-dev,
  libssh-dev <!pkg.frr.nortrlib>,
  libunwind-dev [!alpha !m68k !sparc64 !x32],
- libyang2-dev (>= 2.1.128),
- lua5.4 <!pkg.frr.nolua>,
+ libyang-dev,
+ lua5.3 <!pkg.frr.nolua>,
  pkgconf,
  protobuf-c-compiler,
  python3-dev:native,
@@ -38,10 +36,10 @@
  python3:native,
  texinfo,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://www.frrouting.org
-Vcs-Browser: https://github.com/FRRouting/frr/tree/debian/master
-Vcs-Git: https://github.com/FRRouting/frr.git -b debian/master
+Vcs-Browser: https://forgejo.debian.net/frr/frr
+Vcs-Git: https://forgejo.debian.net/frr/frr
 
 Package: frr
 Section: net

=== debian/watch ===
version=4
https://github.com/FRRouting/frr/tags .*/frr-?(\d.*)@ARCHIVE_EXT@

## frr 10.3.1

=== debian/changelog ===
frr (10.3.1-4) experimental; urgency=medium

  * Also build-conflicting against libunwind-14-dev from llvm-
    toolchain-14.

 -- Daniel Baumann <daniel@debian.org>  Sun, 13 Jul 2025 12:12:00 +0200

frr (10.3.1-3) experimental; urgency=medium

  * Adding build-conflicts to libunwind-dev from llvm-toolchain (#1100483)
    to fix FTBFS.

 -- Daniel Baumann <daniel@debian.org>  Sun, 13 Jul 2025 07:38:53 +0200

frr (10.3.1-2) experimental; urgency=medium

  * Updating watch file to exclude pre-releases.
  * Updating maintainer field.

 -- Daniel Baumann <daniel@debian.org>  Tue, 24 Jun 2025 19:44:32 +0200

frr (10.3.1-1) experimental; urgency=medium

  * Merging upstream version 10.3.1.
  * Removing fix-ftbfs-s390x.patch, included upstream.

 -- Daniel Baumann <daniel@debian.org>  Sun, 01 Jun 2025 21:13:56 +0200

frr (10.3-5) experimental; urgency=medium

  * Adding upstream metadata.
  * Adding explicit libcrypt-dev to build-depends, thanks to Helmut Grohne
    <helmut@subdivi.de> (Closes: #1106979).

 -- Daniel Baumann <daniel@debian.org>  Sun, 01 Jun 2025 07:20:19 +0200

frr (10.3-4) experimental; urgency=medium

  * Harmonizing upstream urls.
  * Updating watch file to exclude dev tags.

 -- Daniel Baumann <daniel@debian.org>  Sat, 17 May 2025 09:22:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: frr
 Section: net
 Priority: optional
-Maintainer: David Lamparter <equinox-debian@diac24.net>
+Maintainer: Daniel Baumann <daniel@debian.org>
 Uploaders:
- FRRouting-dev <dev@lists.frrouting.org>,
- Daniel Baumann <daniel@debian.org>,
+ David Lamparter <equinox-debian@diac24.net>,
 Build-Depends:
  debhelper-compat (= 13),
  bison,
@@ -14,6 +13,7 @@
  install-info,
  libc-ares-dev,
  libcap-dev,
+ libcrypt-dev,
  libelf-dev:native,
  libjson-c-dev,
  liblua5.3-dev <!pkg.frr.nolua>,
@@ -35,6 +35,10 @@
  python3-sphinx:native,
  python3:native,
  texinfo,
+Build-Conflicts:
+ libunwind-14-dev,
+ libunwind-19-dev,
+ libunwind-20-dev,
 Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://www.frrouting.org

## frr 10.4.0

=== debian/changelog ===
frr (10.4.0-1) experimental; urgency=medium

  * Merging upstream version 10.4.0.

 -- Daniel Baumann <daniel@debian.org>  Mon, 21 Jul 2025 06:07:07 +0200

## frr 10.4.1

=== babeld/Makefile ===
all: ALWAYS
	@$(MAKE) -s -C .. babeld/babeld
%: ALWAYS
	@$(MAKE) -s -C .. babeld/$@

Makefile:
	#nothing
ALWAYS:
.PHONY: ALWAYS makefiles
.SUFFIXES:

=== bfdd/Makefile ===
all: ALWAYS
	@$(MAKE) -s -C .. bfdd/bfdd
%: ALWAYS
	@$(MAKE) -s -C .. bfdd/$@

Makefile:
	#nothing
ALWAYS:
.PHONY: ALWAYS makefiles
.SUFFIXES:

=== bgpd/Makefile ===
all: ALWAYS
	@$(MAKE) -s -C .. bgpd/bgpd
%: ALWAYS
	@$(MAKE) -s -C .. bgpd/$@

Makefile:
	#nothing
ALWAYS:
.PHONY: ALWAYS makefiles
.SUFFIXES:

=== eigrpd/Makefile ===
all: ALWAYS
	@$(MAKE) -s -C .. eigrpd/eigrpd
%: ALWAYS
	@$(MAKE) -s -C .. eigrpd/$@

Makefile:
	#nothing
ALWAYS:
.PHONY: ALWAYS makefiles
.SUFFIXES:

=== grpc/Makefile ===
all: ALWAYS
	@$(MAKE) -s -C .. grpc/libfrrgrpc_pb.la
%: ALWAYS
	@$(MAKE) -s -C .. grpc/$@

Makefile:
	#nothing
ALWAYS:
.PHONY: ALWAYS makefiles
.SUFFIXES:

=== ospfd/Makefile ===
all: ALWAYS
	@$(MAKE) -s -C .. ospfd/ospfd
%: ALWAYS
	@$(MAKE) -s -C .. ospfd/$@

Makefile:
	#nothing
ALWAYS:
.PHONY: ALWAYS makefiles
.SUFFIXES:

=== qpb/Makefile ===
all: ALWAYS
	@$(MAKE) -s -C .. fpm/libfrr_pb.la
%: ALWAYS
	@$(MAKE) -s -C .. fpm/$@

Makefile:
	#nothing
ALWAYS:
.PHONY: ALWAYS makefiles
.SUFFIXES:

=== ripd/Makefile ===
all: ALWAYS
	@$(MAKE) -s -C .. ripd/ripd
%: ALWAYS
	@$(MAKE) -s -C .. ripd/$@

Makefile:
	#nothing
ALWAYS:
.PHONY: ALWAYS makefiles
.SUFFIXES:

=== doc/user/Makefile ===
all: ALWAYS
	@$(MAKE) -s -C ../.. doc-user
help: ALWAYS
	@$(MAKE) -s -C ../.. doc/help
pdf: ALWAYS
	@$(MAKE) -s -C ../.. doc/user/_build/latexpdf
info: ALWAYS
	@$(MAKE) -s -C ../.. doc/user/_build/texinfo/frr.info
%: ALWAYS
	@$(MAKE) -s -C ../.. doc/user/_build/$@

Makefile:
	#nothing
ALWAYS:
.PHONY: ALWAYS makefiles
.SUFFIXES:

=== snapcraft/scripts/Makefile ===
all:

install:
	mkdir -p $(DESTDIR)/bin
	install -D -m 0755 zebra-service $(DESTDIR)/bin/
	install -D -m 0755 bgpd-service $(DESTDIR)/bin/
	install -D -m 0755 ospfd-service $(DESTDIR)/bin/
	install -D -m 0755 ospf6d-service $(DESTDIR)/bin/
	install -D -m 0755 ripd-service $(DESTDIR)/bin/
	install -D -m 0755 ripngd-service $(DESTDIR)/bin/
	install -D -m 0755 isisd-service $(DESTDIR)/bin/
	install -D -m 0755 pimd-service $(DESTDIR)/bin/
	install -D -m 0755 pim6d-service $(DESTDIR)/bin/
	install -D -m 0755 ldpd-service $(DESTDIR)/bin/
	install -D -m 0755 nhrpd-service $(DESTDIR)/bin/
	install -D -m 0755 babeld-service $(DESTDIR)/bin/
	install -D -m 0755 eigrpd-service $(DESTDIR)/bin/
	install -D -m 0755 pbrd-service $(DESTDIR)/bin/
	install -D -m 0755 staticd-service $(DESTDIR)/bin/
	install -D -m 0755 bfdd-service $(DESTDIR)/bin/
	install -D -m 0755 fabricd-service $(DESTDIR)/bin/
	install -D -m 0755 vrrpd-service $(DESTDIR)/bin/
	install -D -m 0755 pathd-service $(DESTDIR)/bin/
	install -D -m 0755 set-options $(DESTDIR)/bin/
	install -D -m 0755 show_version $(DESTDIR)/bin/

=== tools/gcc-plugins/Makefile ===
all: frr-format.so

CXX=g++-9

PLUGBASE=`$(CXX) -print-file-name=plugin`
CPPFLAGS=-I$(PLUGBASE)/include -I$(PLUGBASE)/include/c-family

# NB: compiler flags must match those used to build gcc, otherwise inlining
# behavior is different and linker errors will result due to missing symbols
# (which should in fact be inlined)

frr-format.so: frr-format.o
	$(CXX) -fno-rtti -fno-exceptions -fasynchronous-unwind-tables -ggdb -shared -o $@ $^

frr-format.o: frr-format.c gcc-common.h
	$(CXX) -fno-rtti -fno-exceptions -fasynchronous-unwind-tables -ggdb $(CPPFLAGS) -fPIC -Wall -Wextra -Wno-unused-parameter -c -o $@ $<

install:
	install -d $(DESTDIR)$(PLUGBASE)
	install frr-format.so $(DESTDIR)$(PLUGBASE)

clean:
	rm -f frr-format.so frr-format.o

=== bgpd/rfp-example/librfp/Makefile ===
all: ALWAYS
	@$(MAKE) -s -C ../../.. bgpd/rfp-example/librfp/librfp.a
%: ALWAYS
	@$(MAKE) -s -C ../../.. bgpd/rfp-example/librfp/$@

Makefile:
	#nothing
ALWAYS:
.PHONY: ALWAYS makefiles
.SUFFIXES:

=== debian/changelog ===
frr (10.4.1-3) sid; urgency=medium

  * Building with lua 5.4, thanks to Andreas Hasenack
    <andreas.hasenack@canonical.com> (Closes: #1110869).

 -- Daniel Baumann <daniel@debian.org>  Tue, 12 Aug 2025 05:10:15 +0200

frr (10.4.1-2) sid; urgency=medium

  * Uploading without changes to sid.

 -- Daniel Baumann <daniel@debian.org>  Sun, 10 Aug 2025 20:57:41 +0200

frr (10.4.1-1) experimental; urgency=medium

  * Merging upstream version 10.4.1.

 -- Daniel Baumann <daniel@debian.org>  Wed, 06 Aug 2025 06:07:31 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  libcrypt-dev,
  libelf-dev:native,
  libjson-c-dev,
- liblua5.3-dev <!pkg.frr.nolua>,
+ liblua5.4-dev <!pkg.frr.nolua>,
  libpam0g-dev,
  libpcre2-dev,
  libprotobuf-c-dev,
@@ -27,7 +27,7 @@
  libssh-dev <!pkg.frr.nortrlib>,
  libunwind-dev [!alpha !m68k !sparc64 !x32],
  libyang-dev,
- lua5.3 <!pkg.frr.nolua>,
+ lua5.4 <!pkg.frr.nolua>,
  pkgconf,
  protobuf-c-compiler,
  python3-dev:native,

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/architecture.mk
 
 # standard Debian options & profiles
 
@@ -21,16 +23,16 @@
   CONF_RPKI=--disable-rpki
 endif
 
-ifeq ($(filter pkg.frr.lua,$(DEB_BUILD_PROFILES)),)
+ifeq ($(filter pkg.frr.nolua,$(DEB_BUILD_PROFILES)),)
+  CONF_LUA=--enable-scripting
+else
   CONF_LUA=--disable-scripting
-else
-  CONF_LUA=--enable-scripting
 endif
 
-ifeq ($(filter pkg.frr.pim6d,$(DEB_BUILD_PROFILES)),)
+ifeq ($(filter pkg.frr.nopim6d,$(DEB_BUILD_PROFILES)),)
+  CONF_PIM6=--enable-pim6d
+else
   CONF_PIM6=--disable-pim6d
-else
-  CONF_PIM6=--enable-pim6d
 endif
 
 export PYTHON=python3

=== debian/tests/control ===
Tests:
 zebra-lo,
Depends:
 frr,
Restrictions:
 isolation-container,
 needs-root,

Tests:
 bgpd-snmp-rpki,
Depends:
 frr,
 frr-rpki-rtrlib,
 frr-snmp,
Restrictions:
 isolation-container,
 needs-root,

Tests:
 py-frr-reload,
Depends:
 frr,
 frr-pythontools,
Restrictions:
 isolation-container,
 needs-root,

=== debian/watch ===
version=4
opts=uversionmangle=s/.*-(dev|rc[0-9]*)// \
https://github.com/FRRouting/frr/tags .*/frr-?(\d.*)@ARCHIVE_EXT@

## frr 10.5.0

=== doc/Makefile ===
all: ALWAYS
	@$(MAKE) -s -C .. doc
%: ALWAYS
	@$(MAKE) -s -C .. doc/$@
html:
	@$(MAKE) -s -C .. doc/user/_build/html/.buildinfo
info:
	@$(MAKE) -s -C .. doc/user/_build/texinfo/frr.info
pdf:
	@$(MAKE) -s -C .. doc/user/_build/latexpdf
frr.info: info
frr.pdf: pdf

Makefile:
	#nothing
ALWAYS:
.PHONY: ALWAYS makefiles html info frr.info pdf frr.pdf
.SUFFIXES:

=== ldpd/Makefile ===
all: ALWAYS
	@$(MAKE) -s -C .. ldpd/ldpd
%: ALWAYS
	@$(MAKE) -s -C .. ldpd/$@

Makefile:
	#nothing
ALWAYS:
.PHONY: ALWAYS makefiles
.SUFFIXES:

=== pbrd/Makefile ===
all: ALWAYS
	@$(MAKE) -s -C .. pbrd/pbrd
%: ALWAYS
	@$(MAKE) -s -C .. pbrd/$@

Makefile:
	#nothing
ALWAYS:
.PHONY: ALWAYS makefiles
.SUFFIXES:

=== debian/changelog ===
frr (10.5.0-1) sid; urgency=medium

  * Removing rules-requires-root, not needed anymore.
  * Merging upstream version 10.5.0.
  * Indenting and ordering comments in rules.
  * Removing overwriting of debhelper default verbosities.
  * Harmonizing of expressing variables in rules.
  * Harmonizing indenting in rules.
  * Harmonizing use of rm in rules.
  * Replacing overrides with execute_after in rules where possible.
  * Removing unused gbp.conf.
  * Avoid installing newly added frr.pc.
  * Removing dh_installinit from rules, frr doesn't ship any initscripts
    anymore.

 -- Daniel Baumann <daniel@debian.org>  Tue, 11 Nov 2025 20:47:16 +0100

=== debian/control ===
--- 
+++ 
@@ -39,7 +39,6 @@
  libunwind-14-dev,
  libunwind-19-dev,
  libunwind-20-dev,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://www.frrouting.org
 Vcs-Browser: https://forgejo.debian.net/frr/frr

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# package-specific build profiles
ifeq ($(filter pkg.frr.nortrlib,$(DEB_BUILD_PROFILES)),)
	CONF_RPKI=--enable-rpki
else
	CONF_RPKI=--disable-rpki
endif

ifeq ($(filter pkg.frr.nolua,$(DEB_BUILD_PROFILES)),)
	CONF_LUA=--enable-scripting
else
	CONF_LUA=--disable-scripting
endif

ifeq ($(filter pkg.frr.nopim6d,$(DEB_BUILD_PROFILES)),)
	CONF_PIM6=--enable-pim6d
else
	CONF_PIM6=--disable-pim6d
endif

export PYTHON=python3

%:
	dh ${@} -Bbuild --with=sphinxdoc

override_dh_auto_configure:
	$(shell dpkg-buildflags --export=sh); \
	export LIBS="$${LIBS} -latomic"; \
	dh_auto_configure -- \
		--sbindir=/usr/lib/frr \
		--with-vtysh-pager=/usr/bin/pager \
		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH)/frr \
		--with-moduledir=/usr/lib/$(DEB_HOST_MULTIARCH)/frr/modules \
		LIBTOOLFLAGS="-rpath /usr/lib/$(DEB_HOST_MULTIARCH)/frr" \
		--disable-dependency-tracking \
		\
		$(CONF_RPKI) \
		$(CONF_LUA) \
		$(CONF_PIM6) \
		--with-libpam \
		--enable-doc \
		--enable-doc-html \
		--enable-snmp \
		--enable-fpm \
		--disable-protobuf \
		--disable-zeromq \
		--enable-ospfapi \
		--enable-bgp-vnc \
		--enable-multipath=256 \
		\
		--enable-user=frr \
		--enable-group=frr \
		--enable-vty-group=frrvty \
		--enable-configfile-mask=0640 \
		--enable-logfile-mask=0640

execute_after_dh_auto_install:
	sed -e '1c #!/usr/bin/python3' -i debian/tmp/usr/lib/frr/frr-reload.py
	sed -e '1c #!/usr/bin/python3' -i debian/tmp/usr/lib/frr/generate_support_bundle.py
	sed -e '1c #!/usr/bin/python3' -i debian/tmp/usr/lib/frr/frr_babeltrace.py
	sed -e '1c #!/usr/bin/python3' -i debian/tmp/usr/lib/frr/ospfclient.py

	# let dh_systemd do their thing automatically
	cp build/tools/frr.service debian/frr.service
	cp build/tools/frr@.service debian/frr@.service
	rm -f debian/tmp/usr/lib/frr/frr

	# install config files
	mkdir -p debian/tmp/etc
	cp -r tools/etc/* debian/tmp/etc/
	rm -f debian/tmp/etc/frr/daemons.conf

	# drop dev-only files
	find debian/tmp -name '*.la' -o -name '*.a' -o -name 'lib*.so' | xargs rm -f
	rm -rf debian/tmp/usr/include
	rm -f debian/tmp/usr/lib/*/frr/pkgconfig/frr.pc
	rm -f debian/tmp/usr/lib/frr/ssd

	# drop test-tools files
	rm -f debian/tmp/usr/lib/frr/fpm_listener

override_dh_installsystemd:
	dh_installsystemd -r

override_dh_makeshlibs:
	dh_makeshlibs -n

override_dh_missing:
	dh_missing --fail-missing

ifneq ($(filter nocheck,$(DEB_BUILD_PROFILES) $(DEB_BUILD_OPTIONS)),)
override_dh_auto_test:
	true
endif

execute_after_dh_auto_clean:
	rm -rf tests/.pytest_cache
	rm -f debian/frr.service
	rm -f debian/frr@.service

## frr 10.5.1

=== debian/changelog ===
frr (10.5.1-1ubuntu2) resolute; urgency=medium

  * SECURITY UPDATE: multiple ospf security issues
    - debian/patches/CVE-2025-61xxx-1.patch: add null check for vty_out in
      check_tlv_size in ospfd/ospf_ext.c.
    - debian/patches/CVE-2025-61xxx-2.patch: fix NULL Pointer Deference
      when dumping link info in ospfd/ospf_ext.c.
    - debian/patches/CVE-2025-61xxx-3.patch: skip subsequent tlvs after
      invalid length in ospfd/ospf_ext.c, ospfd/ospf_ri.c, ospfd/ospf_te.c.
    - debian/patches/CVE-2025-61xxx-4.patch: reformat check_tlv_size macro
      in ospfd/ospf_ext.c, ospfd/ospf_ri.c, ospfd/ospf_te.c.
    - CVE-2025-61099, CVE-2025-61100, CVE-2025-61101, CVE-2025-61102,
      CVE-2025-61103, CVE-2025-61104, CVE-2025-61105, CVE-2025-61106,
      CVE-2025-61107

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 12 Feb 2026 09:22:11 -0500

frr (10.5.1-1ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #1958162). Remaining changes:
    - Fix logging with Ubuntu's unprivileged rsyslog (LP #1958162):
      + d/frr.postinst: adjust log directory ownership
      + d/frr.logrotate: change rotated log file ownership
    - d/rules: set INET_NTOP_NO_OVERRIDE to workaround build failure with newer
      glibc and FORTIFY_SOURCE
  * Dropped:
    - d/t/{utils,zebra-lo,py-frr-reload,bgpd-snmp-rpki}: Add a controlled loop
      to wait for the service to be ready
      [In 10.5.0-2]
  * Added:
    - d/t/{utils,py-frr-reload,bgpf-snmp-rpki,zebra-lo}: show logs in case of
      failure

 -- Andreas Hasenack <andreas.hasenack@canonical.com>  Tue, 10 Feb 2026 16:58:52 -0300

frr (10.5.1-1) sid; urgency=medium

  * Merging upstream version 10.5.1.
  * Updating homepage field.

 -- Daniel Baumann <daniel@debian.org>  Wed, 07 Jan 2026 13:03:43 +0100

frr (10.5.0-2) sid; urgency=medium

  * Updating to standards version 4.7.3.
  * Applying patch from Andreas Hasenack <andreas.hasenack@canonical.com>
    to add a controlled loop to wait for the service to be ready in
    debian/tests/{utils,zebra-lo,py-frr-reload,bgpd-snmp-rpki} (Closes:
    #1124700).
  * Harmonizing code style in debian/tests.

 -- Daniel Baumann <daniel@debian.org>  Mon, 05 Jan 2026 20:56:53 +0100

frr (10.4.1-3ubuntu2) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Mon, 02 Feb 2026 21:38:51 +0100

frr (10.4.1-3ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2120326). Remaining changes:
    - Fix logging with Ubuntu's unprivileged rsyslog (LP #1958162):
      + d/frr.postinst: adjust log directory ownership
      + d/frr.logrotate: change rotated log file ownership
  * Dropped:
    - d/control: go back to libyang2, as libyang3 is still in universe
      [src:libyang MIR approved, see LP #2120329]
    - d/control: Add lua5.4 to build and runtime dependencies
      [In 10.4.1-3]
  * Added:
    - d/rules: set INET_NTOP_NO_OVERRIDE to workaround build failure with newer
      glibc and FORTIFY_SOURCE
    - d/t/{utils,zebra-lo,py-frr-reload,bgpd-snmp-rpki}: Add a controlled loop
      to wait for the service to be ready:

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 13 Aug 2025 09:43:00 -0300

frr (10.3-3ubuntu2) questing; urgency=medium

  * d/control: go back to libyang2, as libyang3 is still in universe

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 13 Jun 2025 11:56:54 -0300

frr (10.3-3ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2110434). Remaining changes:
    - Fix logging with Ubuntu's unprivileged rsyslog (LP #1958162):
      + d/frr.postinst: adjust log directory ownership
      + d/frr.logrotate: change rotated log file ownership
    - d/control: Add lua5.4 to build and runtime dependencies
  * Dropped:
    - Fix FTBFS on big-endian systems due to build-time test failure
      (Closes: #1091379):
      + d/p/fix-big-endian-test.patch: Fix TestFrrscript.test_exit_cleanly test
        case on big endian platforms
      + d/rules: don't ignore test failures on s390x
      [Fixed in 10.3-2]
    - d/p/add-lua5.4-support-*.patch: Add support for lua 5.4 (LP #2094850)
      [Included in 10.3 upstream]

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 11 Jun 2025 11:57:35 -0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: frr
 Section: net
 Priority: optional
-Maintainer: Daniel Baumann <daniel@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Daniel Baumann <daniel@debian.org>
 Uploaders:
  David Lamparter <equinox-debian@diac24.net>,
 Build-Depends:
@@ -39,8 +40,8 @@
  libunwind-14-dev,
  libunwind-19-dev,
  libunwind-20-dev,
-Standards-Version: 4.7.2
-Homepage: https://www.frrouting.org
+Standards-Version: 4.7.3
+Homepage: https://github.com/FRRouting/frr
 Vcs-Browser: https://forgejo.debian.net/frr/frr
 Vcs-Git: https://forgejo.debian.net/frr/frr

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,9 @@
 include /usr/share/dpkg/architecture.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+# Fix issue with D_FORTIFY_SOURCE on newer glibc
+# https://github.com/FRRouting/frr/issues/18575
+export DEB_CPPFLAGS_MAINT_APPEND += -DINET_NTOP_NO_OVERRIDE
 
 # package-specific build profiles
 ifeq ($(filter pkg.frr.nortrlib,$(DEB_BUILD_PROFILES)),)

## frr 10.5.2

=== debian/changelog ===
frr (10.5.2-1) sid; urgency=medium

  * Correcting wrong cherry-pick attribution in previous changelog, thanks
    to Andreas Hasenack <andreas.hasenack@canonical.com> for reporting it.
  * Merging upstream version 10.5.2.

 -- Daniel Baumann <daniel@debian.org>  Sun, 22 Feb 2026 08:39:10 +0100

frr (10.5.1-3) sid; urgency=medium

  * Adding patches from upstream to fix various NULL pointer dereferencing
    in ospfd, thanks to Marc Deslauriers <marc.deslauriers@ubuntu.com>
    for cherry-picking them [CVE-2025-61099 CVE-2025-61100 CVE-2025-61101
    CVE-2025-61102 CVE-2025-61103 CVE-2025-61104 CVE-2025-61105
    CVE-2025-61106 CVE-2025-61107] (Closes: #1119292).

 -- Daniel Baumann <daniel@debian.org>  Sat, 14 Feb 2026 13:50:29 +0100

frr (10.5.1-2) sid; urgency=medium

  * Adding patch from Andreas Hasenack <andreas.hasenack@canonical.com> to
    make autopkgtests show extra logs when there is a test failure
    (Closes: #1127636).
  * Harmonize indenting in autopkgtests.

 -- Daniel Baumann <daniel@debian.org>  Sat, 14 Feb 2026 10:30:44 +0100
